
package de.ivu.elect.presentation.wahlvorschlag.table;

import de.ivu.elect.business.wahlvorschlag.entity.ReferendumOptionConstants;
import de.ivu.elect.business.wahlvorschlag.entity.ReferendumOptionKumulierteStimmen;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class ReferendumOptionKumulierteStimmenBezeichnungColumn extends AbstractReferendumOptionKumulierteStimmenColumn {

  private static final long serialVersionUID = 1L;

  public ReferendumOptionKumulierteStimmenBezeichnungColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return getMessage(ReferendumOptionConstants.MESSAGE_KEY_LABEL_EINZAHL);
  }

  @Override
  public Object getValue(ReferendumOptionKumulierteStimmen referendumOptionKumulierteStimmen) {
    return referendumOptionKumulierteStimmen.getBezeichnung();
  }
}
